Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.javashell
Class JarClassLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--org.opencyc.javashell.MultiClassLoader
                  |
                  +--org.opencyc.javashell.JarClassLoader

public class JarClassLoader
extends MultiClassLoader

JarClassLoader provides a minimalistic ClassLoader which shows how to instantiate a class which resides in a .jar file.

Constructor Summary
`JarClassLoader(java.lang.String jarName)`

Method Summary
`protected byte[]` | `loadClassBytes(java.lang.String className)`

Methods inherited from class org.opencyc.javashell.MultiClassLoader
`formatClassName, loadClass, loadClass, setClassNameReplacementChar`

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarClassLoader

    public JarClassLoader(java.lang.String jarName)

Method Detail

### loadClassBytes

    protected byte[] loadClassBytes(java.lang.String className)

  Overrides:
    `loadClassBytes` in class `MultiClassLoader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD